summaryrefslogtreecommitdiff
path: root/dev-python/isort
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-08-28 03:04:46 -0500
committerroot <root@alpha.trunkmasters.com>2026-08-28 03:04:46 -0500
commitc21ba35eb4039c697aed1e9e3dcbc6d62763cf37 (patch)
tree20b59304da94a8437dbae4ac8be33a0aaee85913 /dev-python/isort
parent2becf90cbeed1e8431dfd896e8a1b0e52085a807 (diff)
downloadbaldeagleos-repo-c21ba35eb4039c697aed1e9e3dcbc6d62763cf37.tar.gz
baldeagleos-repo-c21ba35eb4039c697aed1e9e3dcbc6d62763cf37.tar.xz
baldeagleos-repo-c21ba35eb4039c697aed1e9e3dcbc6d62763cf37.zip
Adding metadata
Diffstat (limited to 'dev-python/isort')
-rw-r--r--dev-python/isort/Manifest2
-rw-r--r--dev-python/isort/isort-9.0.1.ebuild69
2 files changed, 71 insertions, 0 deletions
diff --git a/dev-python/isort/Manifest b/dev-python/isort/Manifest
index 7cf9c52e81ac..51e47040a0fd 100644
--- a/dev-python/isort/Manifest
+++ b/dev-python/isort/Manifest
@@ -1,3 +1,5 @@
DIST isort-8.0.1.gh.tar.gz 773936 BLAKE2B c4fd4183995295fd7cf4afa7da7e3f0377490be2207c278bf5f3135256475476777755ed77a8f901ae2c5ced5bdc126d38a8f16a75fd12df64b93529c080f574 SHA512 97c6e6ceea3fc5ddfa573214c2019774cb5a5012fd3127b6c80c3f43d7e1bfc87c559cda2d7d626aedc9e4ae5bb28f96b2f77a6161ad94879f070e285fd460b0
DIST isort-9.0.0.tar.gz 665294 BLAKE2B 892eee505354e52121b10ee4b65ab331420605a412562c383a1bf92599477239da2197246efa840fd05bc14ec51e657c7705449307e5399860c6f3bc542c367f SHA512 8bde3f75fab572c28f7151c05023162f29a3e957b2acac6c803d08d3e06e887e2b7760a707a0381b4fb0b33451423c9e2649ce73cf43efb92debd695c6149046
DIST isort-9.0.0.tar.gz.provenance 9605 BLAKE2B 02cb3f45398da5dd432c719c12d5456055ff94c89cb3a1bafcbcdfdfa4010f305c8e8fe9fe740ab534edaece1972052510d0531cf56637983f6dd38e23c8ca00 SHA512 b386487e2e2667d14c2efa638230323c91d817b5d509161da794dc9727f1275b4fef6c51aa5f720a32b32a8644be97067b0516d56398fda9534fc7ce86fd6a2e
+DIST isort-9.0.1.tar.gz 667724 BLAKE2B 78892358e7e8c21a442541ef212517fef1742bba45b890cb7f1a38a25a8115edd1ceb1e5974345804b0cf145db6bc35d49a50c91da15e0dab4b73e965450a0e1 SHA512 edf386ec3497c1b9e540015dea76f8328593f43d2aa391acad459f175fe1b3a552d4ca0e75187bc92ef1319cb4c77bb774cb22ef9b46cf89daacc754bb454f93
+DIST isort-9.0.1.tar.gz.provenance 9323 BLAKE2B 4910211d4f53834fae20740638f32b117ba19260c73e7408b5ca4d26ed65246571d35d9d3636b5213e3270c0406e70ba404812f85604f8c90c371a5f9775d8d0 SHA512 1b5e6ce351db6a9dae510eb4525f2f1cd6083ff55673d055be73367b02a92bd66fb47727e92a8189aff617bf857fb2632a490145f49762673a16706698ab7c57
diff --git a/dev-python/isort/isort-9.0.1.ebuild b/dev-python/isort/isort-9.0.1.ebuild
new file mode 100644
index 000000000000..f0e75dd60fda
--- /dev/null
+++ b/dev-python/isort/isort-9.0.1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/PyCQA/isort
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A python utility/library to sort imports"
+HOMEPAGE="
+ https://github.com/PyCQA/isort/
+ https://pypi.org/project/isort/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/black[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4.6[${PYTHON_USEDEP}]
+ >=dev-python/mypy-extensions-1.1.0[${PYTHON_USEDEP}]
+ dev-python/natsort[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+
+EPYTEST_PLUGINS=( hypothesis pytest-mock )
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unbundle tomli
+ sed -i -e 's:from ._vendored ::' isort/settings.py || die
+ rm -r isort/_vendored || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ cp -a "${BUILD_DIR}"/{install,test} || die
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ # Install necessary plugins
+ local p
+ for p in example*/; do
+ pushd "${p}" >/dev/null || die
+ distutils_pep517_install "${BUILD_DIR}"/test
+ popd >/dev/null || die
+ done
+
+ local EPYTEST_IGNORE=(
+ # Excluded from upstream's test script
+ tests/unit/test_deprecated_finders.py
+ )
+
+ if ! has_version "dev-python/pylama[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ tests/unit/test_importable.py
+ tests/unit/test_pylama_isort.py
+ )
+ fi
+
+ epytest tests/unit
+}